NoopJdbcEventLogger (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.log, class: NoopJdbcEventLogger

# Class NoopJdbcEventLogger

java.lang.Object
org.apache.cayenne.log.NoopJdbcEventLogger

All Implemented Interfaces:
  `JdbcEventLogger`

public class NoopJdbcEventLogger extends Object implements JdbcEventLogger
Noop implementation of JdbcEventLogger

Since:
  3.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NoopJdbcEventLogger`
  `getInstance()`
  `boolean`
  `isLoggable()`
  Returns true if current thread default log level is high enough to generate output.
  `void`
  `log(String message)`
  Logs an arbitrary message.
  `void`
  `logBeginTransaction(String transactionLabel)`
  `void`
  `logCommitTransaction(String transactionLabel)`
  `void`
  `logGeneratedKey(DbAttribute attribute, Object value)`
  `void`
  `logQuery(String sql, ParameterBinding[] bindings)`
  `void`
  `logQueryError(Throwable th)`
  `void`
  `logQueryParameters(String label, ParameterBinding[] bindings)`
  `void`
  `logRollbackTransaction(String transactionLabel)`
  `void`
  `logSelectCount(int count, long time)`
  `void`
  `logSelectCount(int count, long time, String sql)`
  `void`
  `logUpdateCount(int count)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static NoopJdbcEventLogger getInstance()

  - ### log

    public void log(String message)
    Description copied from interface: `JdbcEventLogger`
    Logs an arbitrary message.
    Specified by:
      `log` in interface `JdbcEventLogger`

  - ### logGeneratedKey

    public void logGeneratedKey(DbAttribute attribute, Object value)
    Specified by:
      `logGeneratedKey` in interface `JdbcEventLogger`

  - ### logQuery

    public void logQuery(String sql, ParameterBinding[] bindings)
    Specified by:
      `logQuery` in interface `JdbcEventLogger`

  - ### logQueryParameters

    public void logQueryParameters(String label, ParameterBinding[] bindings)
    Specified by:
      `logQueryParameters` in interface `JdbcEventLogger`

  - ### logSelectCount

    public void logSelectCount(int count, long time)
    Specified by:
      `logSelectCount` in interface `JdbcEventLogger`

  - ### logSelectCount

    public void logSelectCount(int count, long time, String sql)
    Specified by:
      `logSelectCount` in interface `JdbcEventLogger`
    Parameters:
      `count` - of selected rows
      `time` - (milliseconds) time query took to run
      `sql` - SQL that was executed, printed when time exceeds timeThreshold

  - ### logUpdateCount

    public void logUpdateCount(int count)
    Specified by:
      `logUpdateCount` in interface `JdbcEventLogger`

  - ### logBeginTransaction

    public void logBeginTransaction(String transactionLabel)
    Specified by:
      `logBeginTransaction` in interface `JdbcEventLogger`

  - ### logCommitTransaction

    public void logCommitTransaction(String transactionLabel)
    Specified by:
      `logCommitTransaction` in interface `JdbcEventLogger`

  - ### logRollbackTransaction

    public void logRollbackTransaction(String transactionLabel)
    Specified by:
      `logRollbackTransaction` in interface `JdbcEventLogger`

  - ### logQueryError

    public void logQueryError(Throwable th)
    Specified by:
      `logQueryError` in interface `JdbcEventLogger`

  - ### isLoggable

    public boolean isLoggable()
    Description copied from interface: `JdbcEventLogger`
    Returns true if current thread default log level is high enough to generate output.
    Specified by:
      `isLoggable` in interface `JdbcEventLogger`